/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>ML Choice</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.MLChoice#getFramework <em>Framework</em>}</li>
 *   <li>{@link fr.istic.mML.MLChoice#getAlgorithm <em>Algorithm</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getMLChoice()
 * @model
 * @generated
 */
public interface MLChoice extends EObject
{
  /**
   * Returns the value of the '<em><b>Framework</b></em>' attribute.
   * The literals are from the enumeration {@link fr.istic.mML.MLFramework}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Framework</em>' attribute.
   * @see fr.istic.mML.MLFramework
   * @see #setFramework(MLFramework)
   * @see fr.istic.mML.MMLPackage#getMLChoice_Framework()
   * @model
   * @generated
   */
  MLFramework getFramework();

  /**
   * Sets the value of the '{@link fr.istic.mML.MLChoice#getFramework <em>Framework</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Framework</em>' attribute.
   * @see fr.istic.mML.MLFramework
   * @see #getFramework()
   * @generated
   */
  void setFramework(MLFramework value);

  /**
   * Returns the value of the '<em><b>Algorithm</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Algorithm</em>' containment reference.
   * @see #setAlgorithm(MLAlgorithm)
   * @see fr.istic.mML.MMLPackage#getMLChoice_Algorithm()
   * @model containment="true"
   * @generated
   */
  MLAlgorithm getAlgorithm();

  /**
   * Sets the value of the '{@link fr.istic.mML.MLChoice#getAlgorithm <em>Algorithm</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Algorithm</em>' containment reference.
   * @see #getAlgorithm()
   * @generated
   */
  void setAlgorithm(MLAlgorithm value);

} // MLChoice
